_G.game_logic = function(dt)
    for am = #bullets, 1, -1 do
        local bullet = bullets[am]
        if bullet then  -- Check if bullet is not nil
            if bullet.x <= love.graphics.getWidth() then
                bullet:move(dt)
                local bulletRemoved = false
                for i = #enemies, 1, -1 do
                    

                    if enemies[i]:checkTouched(bullet.x, bullet.y) then

                        table.remove(enemies, i)
                        table.remove(bullets, am)
                        score = score + 1
                        bulletRemoved = true
                        break  -- Exit the inner loop early since bullet is already removed
                    end
                end
                if bulletRemoved then
                    break  -- Exit the outer loop early if the bullet was removed
                end
            else
                table.remove(bullets, am)
            end
        end


    end

    for i = 1, #enemies do
        local enemy = enemies[i]

        enemy:update(dt)

    end
end