local love = require "love"

function Enemy(_x, _y)
    return {
        x = _x, --900,
        y = _y, --love.graphics.getHeight() / 2.25,
        width = 50,
        height = 100,


        update = function(self, dt)
            self.x = self.x - 100 * dt
        end,

        checkTouched = function(self, objx, objy)
            local hover = false
            if objx >= self.x then
                if objy * 1.05 >= self.y  then
                    if objy < (self.y + (self.height * 1.25)) then
                        hover = true
                    end
                else
                    hover = false
                end
            else
                hover = false
            end

            return hover
        end,


        draw = function(self)
            love.graphics.setColor(1, 0.1, 0)
            love.graphics.rectangle("fill", self.x, self.y, self.width, self.height)
            love.graphics.setColor(1, 1, 1)
        end
    }
end

